Set3dSecureCode

Set 3D Secure Code of the specified card.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
referenceString1-255 characters✓The user defined reference to the card; for example a member id or wallet number
cardIdentifierString1-20 characters✓The card number, sequence number or tracking number of the specified card
codeString1-255 characters✓The Code to set
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Client generated / local Transaction Date to assist in identifying transactions on the client side
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<methodCall>
    <methodName>Set3dSecureCode</methodName>
    <params>
        <param>
            <value>
                <string>0063657472</string>
            </value>
        </param>
        <param>
            <value>
                <string>ap1132519</string>
            </value>
        </param>
        <param>
            <value>
                <string>148211235099772</string>
            </value>
        </param>
        <param>
            <value>
                <string>37231</string>
            </value>
        </param>
        <param>
            <value>
                <string>1124216</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20170315T12:32:40</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>753AE7E427FCB77678C8477D73B63FB6EE7FA175</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
<methodResponse>
<params>
    <param>
        <value>
            <struct>
                <member>
                    <name>resultCode</name>
                    <value>
                        <int>1</int>
                    </value>
                </member>
                <member>
                    <name>resultText</name>
                    <value>
                        <string>Approved</string>
                    </value>
                </member>
            </struct>
        </value>
    </param>
</params>
</methodResponse>